Package io.milvus.exception

## Class ServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.milvus.exception.MilvusException
        - - io.milvus.exception.ServerException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ServerException
      extends MilvusException

  Exception for error response from server side.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected io.milvus.grpc.ErrorCode` | `compatibleCode` |

    - ### Fields inherited from class io.milvus.exception.MilvusException

      `status`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerException​(java.lang.String msg, java.lang.Integer code, io.milvus.grpc.ErrorCode compatibleCode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.milvus.grpc.ErrorCode` | `getCompatibleCode()` |

    - ### Methods inherited from class io.milvus.exception.MilvusException

      `getStatus, setStatus`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### compatibleCode

          protected io.milvus.grpc.ErrorCode compatibleCode

  - ### Constructor Detail

    - #### ServerException

          public ServerException​(java.lang.String msg,
                                 java.lang.Integer code,
                                 io.milvus.grpc.ErrorCode compatibleCode)

  - ### Method Detail

    - #### getCompatibleCode

          public io.milvus.grpc.ErrorCode getCompatibleCode()